Skip to main content
PATCH
Update Promo Code

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

promo_id
string<uuid>
required

Body

application/json
is_active
boolean | null
expires_at
string<date-time> | null
max_uses
integer | null
Required range: x >= 1
account_type
enum<string> | null
Available options:
real,
demo,
prop
group_id
string<uuid> | null
challenge_template_id
string<uuid> | null

Response

Successful Response

id
string<uuid>
required
code
string
required
group_id
string<uuid> | null
required
is_active
boolean
required
expires_at
string<date-time> | null
required
max_uses
integer | null
required
current_uses
integer
required
account_type
string
required
challenge_template_id
string<uuid> | null
required
created_by
string<uuid> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required